lights = {}

for i = 1,14 do
   minetest.register_node('lights:source_'..i, { --Used automatically by some light nodes to 'fill' an area with light
      description = 'Light Source',
      drawtype = 'airlike',
      pointable = false,
      light_source = i,
      walkable = false,
      buildable_to = true,
      groups = {not_in_creative_inventory=1, invisible_light=1},
   })
end

dofile(minetest.get_modpath('lights')..'/functions.lua')
dofile(minetest.get_modpath('lights')..'/modern.lua')
dofile(minetest.get_modpath('lights')..'/vintage.lua')
dofile(minetest.get_modpath('lights')..'/outdoor.lua')
dofile(minetest.get_modpath('lights')..'/scifi.lua')
dofile(minetest.get_modpath('lights')..'/neon.lua')
dofile(minetest.get_modpath('lights')..'/nodes.lua')
dofile(minetest.get_modpath('lights')..'/torch.lua')
